# MPI_Type_get_contents

Retrieves the actual arguments used in the creation call for a datatype

## Synopsis

    #include "mpi.h"
    int MPI_Type_get_contents(
            MPI_Datatype datatype,
            int max_integers,
            int max_addresses,
            int max_datatypes,
            int *array_of_integers,
            MPI_Aint *array_of_addresses,
            MPI_Datatype *array_of_datatypes)

## Input Parameters

| datatype | datatype to access (handle)
| max_integers | number of elements in array_of_integers (non-negative integer)
| max_addresses | number of elements in array_of_addresses (non-negative integer)
| max_datatypes | number of elements in array_of_datatypes (non-negative integer)

## Output Parameters

| array_of_integers | contains integer arguments used in constructing datatype (array of integers)
| array_of_addresses | contains address arguments used in constructing datatype (array of integers)
| array_of_datatypes | contains datatype arguments used in constructing datatype (array of handles)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:type_get_cont.c